OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ShaderStorageBufferObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBShaderStorageBufferObject :: MonadIO m => m Bool
- gl_ARB_shader_storage_buffer_object :: Bool
- gl_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS :: GLenum
- gl_MAX_COMBINED_SHADER_OUTPUT_RESOURCES :: GLenum
- gl_MAX_COMBINED_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_COMPUTE_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_SHADER_STORAGE_BLOCK_SIZE :: GLenum
- gl_MAX_SHADER_STORAGE_BUFFER_BINDINGS :: GLenum
- gl_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_VERTEX_SHADER_STORAGE_BLOCKS :: GLenum
- gl_SHADER_STORAGE_BARRIER_BIT :: GLbitfield
- gl_SHADER_STORAGE_BUFFER :: GLenum
- gl_SHADER_STORAGE_BUFFER_BINDING :: GLenum
- gl_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT :: GLenum
- gl_SHADER_STORAGE_BUFFER_SIZE :: GLenum
- gl_SHADER_STORAGE_BUFFER_START :: GLenum
- glShaderStorageBlockBinding :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()

# Extension Support

glGetARBShaderStorageBufferObject :: MonadIO m => m Bool

Is the ARB_shader_storage_buffer_object extension supported?

gl_ARB_shader_storage_buffer_object :: Bool

Is the ARB_shader_storage_buffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBShaderStorageBufferObject` in those cases instead.

# Enums

gl_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS :: GLenum

gl_MAX_COMBINED_SHADER_OUTPUT_RESOURCES :: GLenum

gl_MAX_COMBINED_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_COMPUTE_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_SHADER_STORAGE_BLOCK_SIZE :: GLenum

gl_MAX_SHADER_STORAGE_BUFFER_BINDINGS :: GLenum

gl_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_VERTEX_SHADER_STORAGE_BLOCKS :: GLenum

gl_SHADER_STORAGE_BARRIER_BIT :: GLbitfield

gl_SHADER_STORAGE_BUFFER :: GLenum

gl_SHADER_STORAGE_BUFFER_BINDING :: GLenum

gl_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT :: GLenum

gl_SHADER_STORAGE_BUFFER_SIZE :: GLenum

gl_SHADER_STORAGE_BUFFER_START :: GLenum

# Functions

glShaderStorageBlockBinding

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `storageBlockIndex`.
-> GLuint | `storageBlockBinding`.
-> m () |

Manual page for OpenGL 4.x.